#! /bin/sh
tm=`pwd`/build.tm
rm -vf gcc323s.zip gcc323s-*.zip
echo Unpacking $1 and $2 and preparing DJGPP source archive...
echo "Unpacking started at `date`" >$tm
./unpack-gcc.sh "$@" || echo 1 > fail
if cd gnu/build.gcc ; then
	echo "Build started at `date`" >>$tm
	./djbuild.sh || echo 2 > ../../fail
	echo "Build done at `date`" >>$tm
else echo 3 > fail
fi

